Package org.zkoss.zk.ui.metainfo.impl

## Class ShadowDefinitionImpl

- java.lang.Object
- - org.zkoss.zk.ui.metainfo.impl.ComponentDefinitionImpl
  - - org.zkoss.zk.ui.metainfo.impl.ShadowDefinitionImpl

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `ComponentDefinition`

      public class ShadowDefinitionImpl
      extends ComponentDefinitionImpl

  A shadow element definition.
  Since:
    8.0.0
  Author:
    jumperchen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ShadowDefinitionImpl​(LanguageDefinition langdef, PageDefinition pgdef, java.lang.String name, java.lang.Class<? extends Component> cls)` |
    `ShadowDefinitionImpl​(LanguageDefinition langdef, PageDefinition pgdef, java.lang.String name, java.lang.String clsnm)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getTemplateURI()` |
    `boolean` | `isShadowElement()` | Returns whether this is a shadow element.

    - ### Methods inherited from class org.zkoss.zk.ui.metainfo.impl.ComponentDefinitionImpl

      `addAnnotation, addCustomAttribute, addMold, addProperty, applyAttributes, applyProperties, clone, clone, evalProperties, getAnnotationMap, getApply, getCurrentDirectory, getDeclarationURL, getDefaultWidgetClass, getImplementationClass, getLanguageDefinition, getMacroURI, getMoldNames, getName, getParsedApply, getTextAs, getWidgetClass, hasMold, isBlankPreserved, isChildAllowedInTextAs, isInlineMacro, isInstance, isMacro, isNative, newInstance, newInstance, newMacroDefinition, newNativeDefinition, newShadowDefinition, resolveImplementationClass, setApply, setBlankPreserved, setChildAllowedInTextAs, setCurrentDirectory, setDeclarationURL, setDefaultWidgetClass, setImplementationClass, setImplementationClass, setTextAs, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ShadowDefinitionImpl

          public ShadowDefinitionImpl​(LanguageDefinition langdef,
                                      PageDefinition pgdef,
                                      java.lang.String name,
                                      java.lang.Class<? extends Component> cls)

    - #### ShadowDefinitionImpl

          public ShadowDefinitionImpl​(LanguageDefinition langdef,
                                      PageDefinition pgdef,
                                      java.lang.String name,
                                      java.lang.String clsnm)

  - ### Method Detail

    - #### getTemplateURI

          public java.lang.String getTemplateURI()

    - #### isShadowElement

          public boolean isShadowElement()

      Description copied from interface: `ComponentDefinition`
      Returns whether this is a shadow element.
      Specified by:
        `isShadowElement` in interface `ComponentDefinition`
      Overrides:
        `isShadowElement` in class `ComponentDefinitionImpl`
      See Also:
        `LanguageDefinition.getShadowDefinition(java.lang.String)`